classification
Title: Update to libmpdec-2.5.1
Type: enhancement Stage: resolved
Components: Extension Modules Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: facundobatista, mark.dickinson, pitrou, rhettinger, serhiy.storchaka, skrah
Priority: normal Keywords: patch

Created on 2020-07-22 19:27 by skrah, last changed 2021-03-30 16:12 by pitrou. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 21593 merged skrah, 2020-07-22 19:31
PR 24962 merged pitrou, 2021-03-21 16:54
Messages (5)
msg374101 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2020-07-22 19:27
This issue tracks the update of the included libmpdec to version 2.5.1.

The version includes features required for #41324.
msg374103 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2020-07-22 19:54
New changeset 9b9f1582753979f38d2fd927cddf0621a65e9ed6 by Stefan Krah in branch 'master':
bpo-41369 Update to libmpdec-2.5.1: new features (GH-21593)
https://github.com/python/cpython/commit/9b9f1582753979f38d2fd927cddf0621a65e9ed6
msg388206 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2021-03-06 15:20
Stefan wrote me that the changes which complete this update are here:
https://github.com/python/cpython/compare/master...skrah:libmpdec-2.5.1

I can turn this diff into a PR but first I want to gather feedback here.  Mark, Serhiy, Raymond, what do you say?
msg388230 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2021-03-07 10:12
Sounds fine to me. If I'm understanding right, what we have in master right now is somewhere between libmpdec 2.5.0 and libmpdec 2.5.1; is that right? If so, it definitely makes sense to update to 2.5.1.
msg389836 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2021-03-30 16:11
New changeset 73b20ae2fb7a5c1374aa5c3719f64c53d29fa0d2 by Antoine Pitrou in branch 'master':
bpo-41369: Finish updating the vendored libmpdec to version 2.5.1 (GH-24962)
https://github.com/python/cpython/commit/73b20ae2fb7a5c1374aa5c3719f64c53d29fa0d2
History
Date User Action Args
2021-03-30 16:12:11pitrousetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-03-30 16:11:29pitrousetmessages: + msg389836
2021-03-21 16:54:57pitrousetpull_requests: + pull_request23719
2021-03-07 10:12:11mark.dickinsonsetmessages: + msg388230
2021-03-06 15:20:39pitrousetassignee: skrah ->

messages: + msg388206
nosy: + facundobatista, pitrou, serhiy.storchaka, rhettinger, mark.dickinson
2020-07-22 19:54:49skrahsetmessages: + msg374103
2020-07-22 19:31:22skrahsetkeywords: + patch
stage: patch review
pull_requests: + pull_request20732
2020-07-22 19:27:21skrahcreate